package com.engine.kq.biz.chain.duration;

import com.engine.kq.wfset.bean.SplitBean;
import java.util.List;

/**
 * 工作时长 按小时计算
 */
public class WorkHourUnitSplitChain extends WorkDurationChain {


  public WorkHourUnitSplitChain(List<SplitBean> splitBeans) {
    super(splitBeans);
  }

  @Override
  public void handleDuration(SplitBean splitBean) throws Exception{
    String durationrule = splitBean.getDurationrule();
    if("3".equalsIgnoreCase(durationrule) || "5".equalsIgnoreCase(durationrule) || "6".equalsIgnoreCase(durationrule)){
      getSplitDurationBean(splitBean);
    }else{
      this.success.handleDuration(splitBean);
    }
  }

}
